## owncloud-client 1.7.0~beta1+really1.6.4+dfsg

=== src/CMakeLists.txt ===
set(CMAKE_AUTOMOC TRUE)
include(GenerateExportHeader)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

qt_add_resources(MIRALL_RC_SRC ../mirall.qrc)
if ( IS_DIRECTORY ${OEM_THEME_DIR} )
    qt_add_resources(MIRALL_RC_SRC ${OEM_THEME_DIR}/theme.qrc)
    set(theme_dir ${OEM_THEME_DIR}/theme)
else()
    qt_add_resources(MIRALL_RC_SRC ../theme.qrc)
    set(theme_dir ${CMAKE_CURRENT_SOURCE_DIR}/../theme)
endif()

set(synclib_NAME ${APPLICATION_EXECUTABLE}sync)

if ( APPLE )
    list(APPEND OS_SPECIFIC_LINK_LIBRARIES
         /System/Library/Frameworks/CoreServices.framework
         /System/Library/Frameworks/Foundation.framework
         /System/Library/Frameworks/AppKit.framework
    )
endif()

IF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    list(APPEND OS_SPECIFIC_LINK_LIBRARIES
	inotify
    )
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")

if(SPARKLE_FOUND AND NOT BUILD_LIBRARIES_ONLY)
    list (APPEND OS_SPECIFIC_LINK_LIBRARIES ${SPARKLE_LIBRARY})
endif()

set(3rdparty_SRC
3rdparty/qtsingleapplication/qtsingleapplication.cpp
3rdparty/qtsingleapplication/qtlocalpeer.cpp
3rdparty/qtsingleapplication/qtsinglecoreapplication.cpp
3rdparty/qtlockedfile/qtlockedfile.cpp
3rdparty/fancylineedit/fancylineedit.cpp
3rdparty/QProgressIndicator/QProgressIndicator.cpp
)

if (APPLE)
        list(APPEND 3rdparty_SRC
        3rdparty/qtmacgoodies/src/macpreferenceswindow.mm
        3rdparty/qtmacgoodies/src/macstandardicon.mm
        3rdparty/qtmacgoodies/src/macwindow.mm
        )
endif()

set(3rdparty_HEADER
3rdparty/qtsingleapplication/qtlocalpeer.h
3rdparty/qtsingleapplication/qtsingleapplication.h
3rdparty/qtsingleapplication/qtsinglecoreapplication.h
3rdparty/fancylineedit/fancylineedit.h
3rdparty/QProgressIndicator/QProgressIndicator.h
)

if (APPLE)
        list(APPEND 3rdparty_HEADER
        3rdparty/qtmacgoodies/src/macpreferenceswindow.h
        3rdparty/qtmacgoodies/src/macstandardicon.h
        )
endif()

if(NOT WIN32)
	list(APPEND 3rdparty_SRC 3rdparty/qtlockedfile/qtlockedfile_unix.cpp)
else()
	list(APPEND 3rdparty_SRC 3rdparty/qtlockedfile/qtlockedfile_win.cpp )
endif()

set(3rdparty_INC
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtlockedfile
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtsingleapplication
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/QProgressIndicator
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/fancylineedit
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qjson
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtmacgoodies/src
    )

set(libsync_SRCS
    mirall/folderman.cpp
    mirall/folder.cpp
    mirall/folderwatcher.cpp
    mirall/authenticationdialog.cpp
    mirall/syncresult.cpp
    mirall/mirallconfigfile.cpp
    mirall/syncengine.cpp
    mirall/owncloudpropagator.cpp
    mirall/propagatorjobs.cpp
    mirall/propagator_qnam.cpp
    mirall/propagator_legacy.cpp
    mirall/syncjournalfilerecord.cpp
    mirall/syncjournaldb.cpp
    mirall/theme.cpp
    mirall/owncloudtheme.cpp
    mirall/logger.cpp
    mirall/utility.cpp
    mirall/filesystem.cpp
    mirall/connectionvalidator.cpp
    mirall/progressdispatcher.cpp
    mirall/mirallaccessmanager.cpp
    mirall/networkjobs.cpp
    mirall/account.cpp
    mirall/quotainfo.cpp
    mirall/clientproxy.cpp
    mirall/syncrunfilelog.cpp
    mirall/cookiejar.cpp
    mirall/accountmigrator.cpp
    creds/dummycredentials.cpp
    creds/abstractcredentials.cpp
    creds/credentialsfactory.cpp
    creds/http/httpconfigfile.cpp
    creds/credentialscommon.cpp
    3rdparty/qjson/json.cpp
)
if(TOKEN_AUTH_ONLY)
	set (libsync_SRCS
		${libsync_SRCS}
		creds/tokencredentials.cpp
	)
else()
    set (libsync_SRCS
        ${libsync_SRCS}
        creds/httpcredentials.cpp
        creds/shibbolethcredentials.cpp
        creds/shibboleth/shibbolethwebview.cpp
        creds/shibboleth/shibbolethrefresher.cpp
        creds/shibboleth/shibbolethuserjob.cpp
    )
endif()

IF( NOT WIN32 AND NOT APPLE )
    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_linux.cpp)
ENDIF()
IF( WIN32 )
    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_win.cpp)
ENDIF()
IF( APPLE )
    list(APPEND libsync_SRCS mirall/folderwatcher_mac.cpp)
ENDIF()


# These headers are installed for libowncloudsync to be used by 3rd party apps
set(owncloudsync_HEADERS
    mirall/account.h
    mirall/syncengine.h
    mirall/folder.h
    mirall/folderman.h
    mirall/folderwatcher.h
    mirall/mirallconfigfile.h
    mirall/networkjobs.h
    mirall/progressdispatcher.h
    mirall/syncfileitem.h
    mirall/syncjournaldb.h
    mirall/syncresult.h
)

set(creds_HEADERS
    creds/abstractcredentials.h
    creds/httpcredentials.h
)

IF (NOT APPLE)
    INSTALL(
        FILES ${owncloudsync_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/${synclib_NAME}/mirall
    )
    INSTALL(
        FILES ${creds_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/${synclib_NAME}/creds
    )
ENDIF(NOT APPLE)

list(APPEND libsync_LINK_TARGETS
    ${QT_LIBRARIES}
    ocsync
    httpbf
    ${OS_SPECIFIC_LINK_LIBRARIES}
)

if(QTKEYCHAIN_FOUND OR QT5KEYCHAIN_FOUND)
    list(APPEND libsync_LINK_TARGETS ${QTKEYCHAIN_LIBRARY})
    include_directories(${QTKEYCHAIN_INCLUDE_DIR})
endif()

if(NEON_FOUND)
    list(APPEND libsync_LINK_TARGETS ${NEON_LIBRARIES})
    include_directories(${NEON_INCLUDE_DIRS})

    if(NEON_WITH_LFS)
        add_definitions(-DNE_LFS)
    endif()

endif()

add_library(${synclib_NAME} SHARED ${libsync_SRCS} ${syncMoc})
GENERATE_EXPORT_HEADER( ${synclib_NAME}
	BASE_NAME ${synclib_NAME}
	EXPORT_MACRO_NAME OWNCLOUDSYNC_EXPORT
        EXPORT_FILE_NAME owncloudlib.h
	STATIC_DEFINE OWNCLOUD_BUILT_AS_STATIC
)


if(TOKEN_AUTH_ONLY)
    qt5_use_modules(${synclib_NAME} Network Xml Sql)
else()
    qt5_use_modules(${synclib_NAME} Widgets Network Xml WebKitWidgets Sql)
endif()

set_target_properties( ${synclib_NAME}  PROPERTIES
	VERSION ${MIRALL_VERSION}
	SOVERSION ${MIRALL_SOVERSION}
)
set_target_properties( ${synclib_NAME} PROPERTIES
	INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/${APPLICATION_EXECUTABLE}" )

target_link_libraries(${synclib_NAME} ${libsync_LINK_TARGETS} )

if(BUILD_LIBRARIES_ONLY)
    #add_library(${synclib_NAME}_static STATIC ${libsync_SRCS} ${syncMoc})
    #qt5_use_modules(${synclib_NAME}_static Widgets Network Xml Sql)

    #set_target_properties( ${synclib_NAME}_static  PROPERTIES
    #    VERSION ${MIRALL_VERSION}
    #    SOVERSION ${MIRALL_SOVERSION}
    #)

    #target_link_libraries(${synclib_NAME}_static ${libsync_LINK_TARGETS} )
endif()



if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    install(TARGETS ${synclib_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
    if(NOT WIN32)
        configure_file(${CMAKE_SOURCE_DIR}/mirall.desktop.in
		${CMAKE_CURRENT_BINARY_DIR}/${APPLICATION_EXECUTABLE}.desktop)
        install(FILES  ${CMAKE_CURRENT_BINARY_DIR}/${APPLICATION_EXECUTABLE}.desktop DESTINATION share/applications )
    endif()
else()
    install(TARGETS ${synclib_NAME} DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/MacOS)
    if (SPARKLE_FOUND)
        install(DIRECTORY "${SPARKLE_LIBRARY}"
	        DESTINATION "${OWNCLOUD_OSX_BUNDLE}/Contents/Frameworks" USE_SOURCE_PERMISSIONS)
    endif (SPARKLE_FOUND)

endif()

set(mirall_UI
mirall/folderwizardsourcepage.ui
mirall/folderwizardtargetpage.ui
mirall/sslerrordialog.ui
mirall/settingsdialog.ui
mirall/generalsettings.ui
mirall/networksettings.ui
mirall/accountsettings.ui
mirall/ignorelisteditor.ui
mirall/protocolwidget.ui
wizard/owncloudsetupnocredspage.ui
wizard/owncloudhttpcredspage.ui
wizard/owncloudwizardresultpage.ui
wizard/owncloudadvancedsetuppage.ui
)

qt_wrap_ui(mirall_UI_SRCS ${mirall_UI})

set(mirall_SRCS
    mirall/application.cpp
    mirall/systray.cpp
    mirall/folderwizard.cpp
    mirall/folderstatusmodel.cpp
    mirall/protocolwidget.cpp
    wizard/owncloudwizard.cpp
    wizard/owncloudsetuppage.cpp
    wizard/owncloudhttpcredspage.cpp
    wizard/abstractcredswizardpage.cpp
    wizard/owncloudwizardresultpage.cpp
    wizard/owncloudwizardcommon.cpp
    wizard/owncloudshibbolethcredspage.cpp
    wizard/owncloudadvancedsetuppage.cpp
    mirall/owncloudsetupwizard.cpp
    mirall/sslerrordialog.cpp
    mirall/logbrowser.cpp
    mirall/settingsdialog.cpp
    mirall/generalsettings.cpp
    mirall/networksettings.cpp
    mirall/accountsettings.cpp
    mirall/ignorelisteditor.cpp
    mirall/owncloudgui.cpp
    mirall/socketapi.cpp
    mirall/sslbutton.cpp
)



set(mirall_HEADERS
    mirall/application.h
    mirall/systray.h
    mirall/folderwizard.h
    mirall/owncloudsetupwizard.h
    wizard/owncloudwizard.h
    wizard/owncloudsetuppage.h
    wizard/owncloudhttpcredspage.h
    wizard/abstractcredswizardpage.h
    wizard/owncloudwizardresultpage.h
    wizard/owncloudwizardcommon.h
    wizard/owncloudshibbolethcredspage.h
    wizard/owncloudadvancedsetuppage.h
    mirall/folderstatusmodel.h
    mirall/sslerrordialog.h
    mirall/logbrowser.h
    mirall/settingsdialog.h
    mirall/generalsettings.h
    mirall/networksettings.h
    mirall/accountsettings.h
    mirall/ignorelisteditor.h
    mirall/protocolwidget.h
    mirall/owncloudgui.h
    mirall/socketapi.h
    mirall/sslbutton.h
)

set(updater_SRCS
    updater/updateinfo.cpp
    updater/updater.cpp
    updater/ocupdater.cpp
)

set(updater_HEADERS
    updater/updater.h
    updater/ocupdater.h
)

IF( APPLE )
    list(APPEND mirall_SRCS mirall/cocoainitializer_mac.mm)
    list(APPEND mirall_HEADERS mirall/cocoainitializer.h)

    list(APPEND mirall_SRCS mirall/settingsdialogmac.cpp)
    list(APPEND mirall_HEADERS mirall/settingsdialogmac.h)

    if(SPARKLE_FOUND)
       # Define this, we need to check in updater.cpp
       add_definitions( -DHAVE_SPARKLE )
       list(APPEND updater_SRCS updater/sparkleupdater_mac.mm)
       list(APPEND updater_HEADERS updater/sparkleupdater.h)
   endif()
ENDIF()

# csync is required.
include_directories(../csync/src ../csync/src/httpbf/src ${CMAKE_CURRENT_BINARY_DIR}/../csync ${CMAKE_CURRENT_BINARY_DIR}/../csync/src )
include_directories(${3rdparty_INC})

qt_add_translation(mirall_I18N ${TRANSLATIONS})

set( final_src
    ${mirall_HEADERS}
    ${MIRALL_RC_SRC}
    ${mirall_SRCS}
    ${mirall_UI_SRCS}
    ${mirallMoc}
    ${mirall_HEADERS}
    ${mirall_I18N}
    ${3rdparty_SRC}
    ${3rdparty_MOC}
)

# add executable icon on windows and osx
include( AddAppIconMacro )
set(ownCloud_old ${ownCloud})

# set an icon_app_name. For historical reasons we can not use the 
# application_shortname for ownCloud but must rather set it manually.
if ( EXISTS ${OEM_THEME_DIR}/OEM.cmake )
    set(ICON_APP_NAME ${APPLICATION_SHORTNAME})
else()
    set(ICON_APP_NAME "owncloud")
endif()

kde4_add_app_icon( ownCloud "${theme_dir}/colored/${ICON_APP_NAME}-icon*.png")
list(APPEND final_src ${ownCloud})
set(ownCloud ${ownCloud_old})

if (WITH_DBUS)
    set(ADDITIONAL_APP_MODULES DBus)
endif(WITH_DBUS)
if(NOT BUILD_OWNCLOUD_OSX_BUNDLE AND NOT BUILD_LIBRARIES_ONLY)
    set(BIN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")

    if(NOT WIN32)
        file( GLOB _icons "${theme_dir}/colored/${ICON_APP_NAME}-icon-*.png" )
        foreach( _file ${_icons} )
            string( REPLACE "${theme_dir}/colored/${ICON_APP_NAME}-icon-" "" _res ${_file} )
            string( REPLACE ".png" "" _res ${_res} )
        install( FILES ${_file} RENAME ${ICON_APP_NAME}.png DESTINATION ${DATADIR}/icons/hicolor/${_res}x${_res}/apps )
        endforeach( _file )
    endif(NOT WIN32)

    install(FILES ${mirall_I18N} DESTINATION share/${APPLICATION_EXECUTABLE}/i18n)

    # we may not add MACOSX_BUNDLE here, if not building one

    # add_executable( ${APPLICATION_EXECUTABLE} main.cpp ${final_src})
    add_executable( ${APPLICATION_EXECUTABLE} WIN32 main.cpp ${final_src})
    qt5_use_modules(${APPLICATION_EXECUTABLE} Widgets Network Xml WebKitWidgets Sql ${ADDITIONAL_APP_MODULES})
elseif(NOT BUILD_LIBRARIES_ONLY)

=== test/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR}/csync ${CMAKE_BINARY_DIR}/csync/src ${CMAKE_BINARY_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/csync/src/ ${CMAKE_SOURCE_DIR}/csync/src/httpbf/src)
include_directories(${CMAKE_SOURCE_DIR}/csync/src/std)

include(owncloud_add_test.cmake)

owncloud_add_test(OwncloudPropagator)
owncloud_add_test(Utility)
owncloud_add_test(Updater)
owncloud_add_test(FolderWatcher)
owncloud_add_test(CSyncSqlite)

if( UNIX AND NOT APPLE )
	owncloud_add_test(InotifyWatcher)
endif(UNIX AND NOT APPLE)

=== csync/src/CMakeLists.txt ===
project(libcsync)

add_subdirectory(std)
add_subdirectory(httpbf)

# Statically include sqlite
if (CSYNC_STATIC_COMPILE_DIR)
    set(SQLITE3_INCLUDE_DIRS "")
    set(SQLITE3_LIBRARIES "")
    include_directories(${CSYNC_STATIC_COMPILE_DIR})
else (CSYNC_STATIC_COMPILE_DIR)
    find_package(SQLite3 3.3.9 REQUIRED)
endif()

set(CSYNC_PUBLIC_INCLUDE_DIRS
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  CACHE INTERNAL "csync public include directories"
)

set(CSYNC_PRIVATE_INCLUDE_DIRS
  ${SQLITE3_INCLUDE_DIRS}
  ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
  ${HTTPBF_PUBLIC_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
)

set(CSYNC_LIBRARY
  ocsync
  CACHE INTERNAL "ocsync library"
)

set(CSYNC_LINK_LIBRARIES
  ${CSTDLIB_LIBRARY}
  ${CSYNC_REQUIRED_LIBRARIES}
  ${SQLITE3_LIBRARIES}
  ${NEON_LIBRARIES}
  ${HTTPBF_LIBRARY}
)

if(HAVE_ICONV AND WITH_ICONV)
    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${ICONV_INCLUDE_DIR})
    list(APPEND CSYNC_LINK_LIBRARIES ${ICONV_LIBRARIES})
endif()

# Specific option for builds tied to servers that do not support renaming extensions
set(NO_RENAME_EXTENSION 0 CACHE BOOL "Do not issue rename if the extension changes")
if(NO_RENAME_EXTENSION)
    add_definitions(-DNO_RENAME_EXTENSION)
endif()

set(csync_SRCS
  csync.c
  csync_exclude.c
  csync_log.c
  csync_statedb.c
  csync_time.c
  csync_util.c
  csync_misc.c

  csync_update.c
  csync_reconcile.c

  csync_rename.cc

  vio/csync_vio.c
  vio/csync_vio_file_stat.c
  vio/csync_vio_local.c

  csync_owncloud.c
  csync_owncloud_recursive_propfind.c
  csync_owncloud_util.c
)

configure_file(csync_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h)

set(csync_HDRS
  ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
  csync.h
  vio/csync_vio.h
  vio/csync_vio_file_stat.h
  vio/csync_vio_handle.h
  vio/csync_vio_method.h
  vio/csync_vio_module.h
)

# Statically include sqlite
if (CSYNC_STATIC_COMPILE_DIR)
    list(APPEND csync_SRCS ${CSYNC_STATIC_COMPILE_DIR}/dictionary.c  ${CSYNC_STATIC_COMPILE_DIR}/sqlite3.c)
endif()

include_directories(
  ${CSYNC_PUBLIC_INCLUDE_DIRS}
  ${CSYNC_PRIVATE_INCLUDE_DIRS}
)

add_library(${CSYNC_LIBRARY} SHARED ${csync_SRCS})
add_library(${CSYNC_LIBRARY}_static STATIC ${csync_SRCS})

target_link_libraries(${CSYNC_LIBRARY} ${CSYNC_LINK_LIBRARIES})
target_link_libraries(${CSYNC_LIBRARY}_static ${CSYNC_LINK_LIBRARIES})

set_target_properties(
  ${CSYNC_LIBRARY}
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)
if(BUILD_OWNCLOUD_OSX_BUNDLE)
  INSTALL(
    TARGETS
      ${CSYNC_LIBRARY}
    LIBRARY DESTINATION
	${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION
	${LIB_INSTALL_DIR}
    RUNTIME DESTINATION
	${BIN_INSTALL_DIR}
    )
else()
  INSTALL(
  TARGETS
    ${CSYNC_LIBRARY}
  LIBRARY DESTINATION
    ${LIB_INSTALL_DIR}/${APPLICATION_EXECUTABLE}
  ARCHIVE DESTINATION
    ${LIB_INSTALL_DIR}/${APPLICATION_EXECUTABLE}
  RUNTIME DESTINATION
    ${BIN_INSTALL_DIR}/${APPLICATION_EXECUTABLE}
  )
endif()

# INSTALL(
#   FILES
#     ${csync_HDRS}
#   DESTINATION
#     ${INCLUDE_INSTALL_DIR}/${APPLICATION_NAME}
# )

=== debian/changelog ===
owncloud-client (1.7.0~beta1+really1.6.4+dfsg-1+deb8u1) stable-security; urgency=high

  * cherry-pick patches to fix CVE-2015-4456

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 16 Sep 2015 18:52:57 +0200

owncloud-client (1.7.0~beta1+really1.6.4+dfsg-1) unstable; urgency=medium

  * New stable upstream release (1.6.4) to unstable
  * Updated debian/copyright

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 24 Oct 2014 21:53:15 +0200

owncloud-client (1.7.0~beta1+really1.6.3+dfsg-4) unstable; urgency=medium

  * Updated freebsd patch for Qt4

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 07 Oct 2014 00:21:50 +0200

owncloud-client (1.7.0~beta1+really1.6.3+dfsg-3) unstable; urgency=medium

  * Delete NEWS.Debian entry (Closes: #757762)
    - this was only an issue for an upgrade to an unstable version
  * build with qt4
    - show systray icon in Gnome and XFCE (Closes: #755350)
  * get rid of unused copyright entries

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 06 Oct 2014 01:01:00 +0200

owncloud-client (1.7.0~beta1+really1.6.3+dfsg-2) unstable; urgency=medium

  * Fixed downgrade from 1.7.0~beta1 -> 1.6.3 (Closes: #761590)
  * Bumped to Standards-Version 3.9.6
  * Removed unused paragraph in copyright

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 20 Sep 2014 14:33:06 +0200

owncloud-client (1.7.0~beta1+really1.6.3+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Point to Jessie’s package instead of Sid’s
  * Drop now useless dversionmangle

  [ Sandro Knauß ]
  * New stable upstream release (1.6.3) to unstable
    - should enter unstable and testing (Closes: #759774)
    - based on 1.6.2 (reset all changes of 1.7.0~beta1)
  * Updated watch file to new page
  * Restructured debian/rules
  * Added patch to downgrade db changes from 1.70->1.6.3 for sid users
  * Updated watch file to handle +really version number
  * Added dversionmangle according to DEHS
  * Updated Vcs-Browser field

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 06 Sep 2014 00:14:18 +0200

owncloud-client (1.7.0~beta1+dfsg-2) experimental; urgency=medium

  * Added package for file synchronization:
    - nautilus-owncloud

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 30 Aug 2014 01:44:48 +0200

owncloud-client (1.7.0~beta1+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Drop now useless dversionmangle
  * Point to Jessie’s package instead of Sid’s

  [ Sandro Knauß ]
  * New upstream release
  * Updated watch file to new page
  * Updated copyright file
  * Deleted shell_integration/(windows|MacOSX) due to copyright problems
    - Added patch to strip out deleted directories
      0004-shell_integration_copyright.patch
  * Updated 0001-disable-updatecheck.patch (only hunk update)
  * Updated 0002-debian_version.patch
  * Added patch to strip out deleted directories
  * restructure debian/rules

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 30 Aug 2014 00:46:53 +0200

=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev,
               libcmocka-dev,
               libhttp-dav-perl,
               libinotify-dev [kfreebsd-any],
               libneon27-gnutls-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsqlite3-dev,
               pkg-kde-tools,
               python-sphinx | python3-sphinx,
               qt4-dev-tools,
               qtkeychain-dev
Build-Depends-Indep: texlive-fonts-recommended,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     xsltproc
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-client.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-owncloud/owncloud-client.git
Standards-Version: 3.9.6
Homepage: http://owncloud.org/sync-clients/

Package: owncloud-client
Architecture: any
Depends: libowncloudsync0 (= ${binary:Version}),
         libqt4-sql-sqlite,
         owncloud-client-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Description: folder synchronization with an ownCloud server - GUI
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 owncloud-client provides the graphical client specialising in
 synchronizing with cloud storage provided by ownCloud.

Package: owncloud-client-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: ownCloudSync folder synchronization - documentation
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the documentation.

Package: libowncloudsync0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libocsync0
Breaks: libocsync0
Section: libs
Description: ownCloudSync folder synchronization - libraries
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This library is based on CSync, but adds functions that are missing in
 CSync and more specific to graphical clients.

Package: libowncloudsync-dev
Architecture: any
Depends: libowncloudsync0 (= ${binary:Version}), ${misc:Depends}
Replaces: libocsync-dev
Breaks: libocsync-dev
Section: libdevel
Description: development files for owncloudsync
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package contains the library development files.

Package: owncloud-client-l10n
Architecture: all
Depends: ${misc:Depends}
Section: localization
Description: ownCloudSync folder synchronization - localization
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the localization.

Package: owncloud-client-cmd
Architecture: any
Depends: libowncloudsync0 (= ${binary:Version}),
         libqt4-sql-sqlite,
         owncloud-client-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Description: folder synchronization with an ownCloud server - cmd client
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by ownCloud.

=== debian/watch ===
version=3
options=dversionmangle=s/\+dfsg//;s/^.*\+really//,uversionmangle=s/rc/~rc/;s/beta/~beta/;s/alpha/~alpha/,pgpsigurlmangle=s/$/.asc/ \
https://owncloud.org/install https?://download.owncloud.com/desktop/\w+/mirall-(.*)\.tar\.bz2

## owncloud-client 1.8.1+dfsg

=== debian/changelog ===
owncloud-client (1.8.1+dfsg-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:35:40 +0100

owncloud-client (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release (release to unstable)
  * d/watch: Do not add the file extension to the version number.

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 07 May 2015 16:41:54 +0200

owncloud-client (1.8.1~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * make build with GCC-5 (Closes: 778052)

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 07 May 2015 01:26:05 +0200

owncloud-client (1.8.1~rc1+dfsg-1) experimental; urgency=medium

  * New upstream realease.
  * Updated watchfile to match xz files too.
  * Update patch hunks.

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 01 May 2015 14:14:32 +0200

owncloud-client (1.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rename mirall -> owncloudclient:
    - Updated download url.
    - Updated patches.
    - Updated documentation.
    - Updated copyright file.
  * Added libssl as build-dep (upstream dependency).
  * Added new upstream signing key.
  * Updated copyright file.
  * Removed httpbf.* is not more needed, because libneon is not needed.
  * Added patch: Move config files to /etc/owncloud-client.
  * Added debhelperscript to move configfile.
  * Added patch: Use own dir for translations. (Closes: #780057)
  * Point help url to stretch and not jessie anymore.
  * Updated patches (hunk updates).
  * Added upstream patch to fix python syntax (pull request #2997).
  * Removed unnessary lintian override:
    - owncloudcmd is free of hardening-no-fortify-functions.

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 24 Mar 2015 22:51:58 +0100

owncloud-client (1.7.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * removed upstream applied patches
  * update hunks for patches

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 20 Dec 2014 17:28:39 +0100

owncloud-client (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Updated copyright file
  * Removed copy of sqlite3
  * Updated Vcs-Browser field
  * Bump to Standards-Version 3.9.6
  * Added patch for make nautilus script be python3 compatible
  * Using dversionmangle not uversionmangle for debian/watch

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 10 Nov 2014 20:38:50 +0100

owncloud-client (1.7.0~beta1+dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Drop now useless dversionmangle
  * Point to Jessie’s package instead of Sid’s

  [ Sandro Knauß ]
  * New upstream release
  * Updated watch file to new page
  * Updated copyright file
  * Deleted shell_integration/(windows|MacOSX) due to copyright problems
    - Added patch to strip out deleted directories
      0004-shell_integration_copyright.patch
  * Updated 0001-disable-updatecheck.patch (only hunk update)
  * Updated 0002-debian_version.patch
  * Added patch to strip out deleted directories
  * restructure debian/rules

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 30 Aug 2014 00:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: owncloud-client
 Section: net
 Priority: optional
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
+               dh-python,
                kdelibs5-dev,
                libcmocka-dev,
                libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
                libneon27-gnutls-dev,
-               libqt4-dev,
-               libqtwebkit-dev,
+               libqt5webkit5-dev,
+               libssl-dev (>> 1.0.0),
                libsqlite3-dev,
                pkg-kde-tools,
+               python3-all,
                python-sphinx | python3-sphinx,
-               qt4-dev-tools,
-               qtkeychain-dev
+               qt5keychain-dev,
+               qtdeclarative5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
 Build-Depends-Indep: texlive-fonts-recommended,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      xsltproc
+X-Python3-Version: >= 3.0
 Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud-client.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-owncloud/owncloud-client.git
 Standards-Version: 3.9.6
@@ -28,8 +34,8 @@
 
 Package: owncloud-client
 Architecture: any
-Depends: libowncloudsync0 (= ${binary:Version}),
-         libqt4-sql-sqlite,
+Depends: libowncloudsync0v5 (= ${binary:Version}),
+         libqt5sql5-sqlite,
          owncloud-client-l10n,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -56,12 +62,13 @@
  .
  This package provides the documentation.
 
-Package: libowncloudsync0
+Package: libowncloudsync0v5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libocsync0
+Replaces: libowncloudsync0, libocsync0
 Breaks: libocsync0
 Section: libs
+Conflicts: libowncloudsync0
 Description: ownCloudSync folder synchronization - libraries
  The ownCloudSync system lets you always have your latest files wherever
  you are. Just specify one or more folders on the local machine to and a server
@@ -74,7 +81,7 @@
 
 Package: libowncloudsync-dev
 Architecture: any
-Depends: libowncloudsync0 (= ${binary:Version}), ${misc:Depends}
+Depends: libowncloudsync0v5 (= ${binary:Version}), ${misc:Depends}
 Replaces: libocsync-dev
 Breaks: libocsync-dev
 Section: libdevel
@@ -102,8 +109,8 @@
 
 Package: owncloud-client-cmd
 Architecture: any
-Depends: libowncloudsync0 (= ${binary:Version}),
-         libqt4-sql-sqlite,
+Depends: libowncloudsync0v5 (= ${binary:Version}),
+         libqt5sql5-sqlite,
          owncloud-client-l10n,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -116,3 +123,23 @@
  .
  This package provides the command line client specialising in
  synchronizing with cloud storage provided by ownCloud.
+
+Package: nautilus-owncloud
+Architecture: all
+Section: gnome
+Depends: owncloud-client (>= ${source:Version}),
+         owncloud-client (<< ${source:Version}.1~),
+         python-nautilus,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: nautilus-script-manager
+Enhances: nautilus
+Description: ownCloud integration for Nautilus
+ The ownCloudSync system lets you always have your latest files wherever
+ you are. Just specify one or more folders on the local machine to and a server
+ to synchronize to. You can configure more computers to synchronize to the same
+ server and any change to the files on one computer will silently and reliably
+ flow across to every other.
+ .
+ Nautilus ownCloud is an extension that integrates the ownCloud web service with
+ your GNOME Desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')

%:
	dh $@ --parallel --with sphinxdoc --with pkgkde_symbolshelper --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir obj-$(DEB_HOST_GNU_TYPE)/config
	XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config dh_auto_test --max-parallel=1
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config
else
	@echo "** tests disabled"
endif

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DUNIT_TESTING=ON -DDEBIAN_VERSION=$(DEBVERS)

override_dh_auto_build:
	dh_auto_build -- doc
	dh_auto_build --

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_build-arch:
	dh_auto_build -- doc-man
	dh_auto_build --

override_dh_install:
	dh_install --list-missing \
		-Xusr/share/doc/client/latex \
		-Xusr/share/doc/client/qthelp \
		-Xusr/share/doc/client/html \
		-Xusr/share/man/man1/owncloudcmd.1 \
		-Xusr/share/man/man1/owncloud.1

override_dh_python3:
	dh_python3 -i -p nautilus-owncloud usr/share/nautilus-python/extensions

override_dh_python3-arch:

override_dh_sphinxdoc-arch:

## owncloud-client 1.8.4+dfsg

=== shell_integration/icons/CMakeLists.txt ===

# Install the Mac icon container into the Mac Bundle.
if( BUILD_OWNCLOUD_OSX_BUNDLE AND NOT BUILD_LIBRARIES_ONLY )
	set (ICON_DIR ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources/icons)
	
	file(GLOB mac_icons "icns/*icns")
	install(FILES ${mac_icons} DESTINATION ${ICON_DIR})
endif()

if( UNIX AND NOT APPLE )

    SET(ICON_DIR ${DATADIR}/icons/hicolor)
    
    FOREACH(size 128x128 16x16 256x256 32x32 48x48 64x64 72x72)
	file(GLOB files  "${size}/*.png")
	FOREACH( file ${files} )
	    # the GLOB returns a absolute path. Make it relative by replacing the current src dir by nothing
	    STRING(REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/${size}/" "" shortFile ${file})
	    STRING(REPLACE "oC" ${APPLICATION_NAME} brandedName ${shortFile})
	    install(FILES ${file} DESTINATION ${ICON_DIR}/${size}/apps RENAME ${brandedName})
	ENDFOREACH(file)
    ENDFOREACH(size)

endif()

=== shell_integration/nautilus/CMakeLists.txt ===
# copy the python nautilus plugin to build dir as it is going to
# be changed.
if( UNIX AND NOT APPLE )

    configure_file(syncstate.py syncstate.py COPYONLY)

    # Call the setupappname.sh script to set the custom app name.
    set (cmd "${CMAKE_CURRENT_SOURCE_DIR}/setappname.sh")
    execute_process(COMMAND ${cmd} ${APPLICATION_SHORTNAME}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                    ERROR_VARIABLE errors OUTPUT_VARIABLE out)

    install(FILES syncstate.py  DESTINATION ${DATADIR}/nautilus-python/extensions)

endif()
